Known issues and limitations found while installing or configuring WebSphere Application Server and IBM HTTP Server v8.0 to work with ClearCase 8.0.0.1 or later, ClearQuest 8.0.0.1 or later or RequisitePro 7.1.3.1 or later

Technote (troubleshooting)


Problem(Abstract)

This technote summarizes requirements, limitations, and known issues to be aware of when working with or installing IBM WebSphere Application Server and IBM HTTP Server version 8.0 to work with IBM Rational ClearCase 8.0.0.1 or later, IBM Rational ClearQuest 8.0.0.1 or later or IBM Rational RequisitePro 7.1.3.1 or later.

Cause

The following configurations have certain requirements, limitations, and known issues. A description of the issues and the workarounds are also provided below.

  • Install/Modify/Update IBM HTTP Server V8.0.
  • Install/Modify/Update WebSphere Application Server V8.0.
  • Install/Modify/Update WebSphere Customization Toolbox V8.0.
  • Install/Modify/Update Web Server Plug-ins for IBM WebSphere Application Server V8.0.
  • Configure a Web Server Plug-in using Customization Toolbox.
  • Install/Modify/Update IBM Rational ClearCase 8.0.0.1 or later using WebSphere Application Server and IBM HTTP Server V8.0.
  • Install/Modify/Update IBM Rational ClearQuest 8.0.0.1 or later using WebSphere Application Server and IBM HTTP Server V8.0.
  • Install/Modify/Update IBM Rational RequisitePro 8.0.0.1 or later using WebSphere Application Server and IBM HTTP Server V8.0

Diagnosing the problem

Requirements

  • IBM HTTP Server and Web Server Plug-ins for IBM WebSphere Application Server require the Visual Studio C++ 2008 Redistributable Package, If you are installing on a 32-bit machine only the 32-bit version is required. If you are installing on a 64-bit machine both 32- and 64-bit versions are required. You can download 32b-bit package from the following link:
    http://www.microsoft.com/downloads/details.aspx?familyid=9b2da534-3e03-4391-8a4d-074b9f2bc1bf
    and 64-bit package from this other link:
    http://www.microsoft.com/download/en/details.aspx?id=15336
  • When upgrading WebSphere Application Server or IBM HTTP Server the associated Windows services must be stopped before the update is executed. More information can be found at this link:
    http://www.ibm.com/support/docview.wss?uid=swg27022501
  • WebSphere Customization Toolbox must be started as a built-in Administrator, or use a local user account in the Administrators group. If you use a domain user in the administrator group, the Create button on the Web Server Plug-in Configuration Tool does not work. More information is available at:
    http://www.ibm.com/support/docview.wss?uid=swg1PM46369
  • In order to enable IBM HTTP Server automatic configuration for IBM Rational ClearCase, IBM Rational ClearQuest or IBM Rational RequisitePro, you need to complete the configuration of a the Web-Server Plug-in. See Technote #1573824 for help on this configuration.

Limitations
  • If you are planning to automatically configure redirection for IBM HTTP Server during Rational product installation, you must use port 80 to install and start IBM HTTP Server. Otherwise, you can only perform manual configuration for redirection. Automatic configuration is not supported for other ports.
  • WebSphere Customization Toolbox 8.0 cannot be used to configure an IBM HTTP Server version 7 instance. If you are configuring Web Server Plug-in 8.0, always select an httpd.conf from a version 8 IBM HTTP Server.
  • If you selected and configured an IBM HTTP Administration Service for IBM HTTP Server it must be running for redirection to work correctly.
  • Only the following web features support deployment in 64-bit WebSphere Application profiles:
    • For IBM Rational ClearCase:
        CCRC WAN Server
    • For IBM Rational ClearQuest:
      ClearQuest Web
      Report Server for Crystal Reports
  • The following web features support deployment ONLY in 32-bit WebSphere Application profiles:
    • For IBM Rational RequisitePro:
        ReqWeb
        Reporting Server
    • For IBM Rational ClearQuest:
        Report Launcher (Data pull reports)
        Full Text Search (no longer automatically configured by Installation Manager)

  • Rolling back IBM Rational ClearCase, IBM Rational ClearQuest from 8.0.0.x to 8.0 or IBM Rational RequisitePro from 7.1.3.x to 7.1.3.0 when multiple web features are installed in a single IBM WebSphere Application Server 7.0 existing profile is not supported. See Technote #1572830 to see a list of supported scenarios.
  • Rolling back IBM Rational ClearCase or IBM Rational ClearQuest from 8.0.0.x to 8.0 or IBM Rational RequisitePro from 7.1.3.x to 7.1.3.0 while using WebSphere Application Server v8.0 is not supported and might fail. See Technote #1572830 to see a list of supported scenarios.
  • WebSphere profiles that are hosting or will be hosting Rational web applications must be running whenever a modify, uninstall, update, or rollback operation is executed. If the profile is not running, errors might occur during the operation. See Technote #1574480 for more information about this.

Known Issues
  • The Rational product installer cannot create a new WebSphere profile on HP Itanium systems, which causes installation failures for CCRC WAN Server. To work around this issue, you can create a profile manually using the the Profile Management Tool or the manageprofiles script, and install CCRC WAN server in this profile. An APAR has been filed with the WebSphere team (PM53434). For more information about this, see:
    http://www.ibm.com/support/docview.wss?uid=swg1PM53434.
  • IBM HTTP Server version 7 or 8 on Windows operating systems fails to start after installing Rational web products. The HTTP Server log says master_main: create child process failed. This may be due to an IHS APAR PM49573 which has an iFix available for it. See Technote #1568421 for more information about this issue.
  • After using the Installation Manager Modify operation on IBM Rational ClearQuest 8.0 to remove all the Web features from a new profile, you find the profile cqwebprofile is not removed from the system. See Technote #1574311 to work around this issue.
  • After Rational web components are removed from a WebSphere existing profile, the profile is stopped. This is an issue if you still have other applications deployed to this profile. You can manually restart the profile. See Technote #1517154 for more information about this issue.
  • Do not use the Rational product installer to change the administrative security setting in a profile. This is not supported. Make sure you use the same administrative security when upgrading from an older version of WebSphere Application Server to a newer version of WebSphere Application Server and install into a new profile. If you try to change the administrative security or use the incorrect setting the install or modify operation will experience failures. See Technote #1574699 for more information.
  • Installation of WebSphere Application Server and IBM HTTP Server 8.0 fails on AIX 7.1.1.0 (TL1) and AIX 7.1.1.1 (TL1, SP1) due to a known issue (APAR IV09585). A fix is available in Technote #1575120.

Cross reference information
Segment Product Component Platform Version Edition
Software Development Rational RequisitePro Installation Windows 7.1.3.1, 7.1.3.10, 7.1.3.2, 7.1.3.3, 7.1.3.4, 7.1.3.5, 7.1.3.6, 7.1.3.7, 7.1.3.8, 7.1.3.9, 7.1.4, 7.1.4.1, 7.1.4.2, 7.1.4.3 All Editions
Software Development Rational ClearQuest Installation AIX, Linux, Solaris, Windows 8.0.0.1, 8.0.0.10, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5, 8.0.0.6, 8.0.0.7, 8.0.0.8, 8.0.0.9, 8.0.1, 8.0.1.1, 8.0.1.2, 8.0.1.3
Application Servers WebSphere Application Server Install AIX, HP-UX, Linux, Solaris, Windows 8.5.5.1, 8.5.5, 8.5.0.2, 8.5.0.1, 8.5, 8.0.0.8, 8.0.0.7, 8.0.0.6, 8.0.0.5, 8.0.0.4, 8.0.0.3, 8.0.0.2, 8.0.0.1, 8.0 Enterprise
Application Servers IBM HTTP Server Installation AIX, HP-UX, Linux, Solaris, Windows 8.5.5.1, 8.5.5, 8.5.0.2, 8.5.0.1, 8.5, 8.0.0.8, 8.0.0.7, 8.0.0.6, 8.0.0.5, 8.0.0.4, 8.0.0.3, 8.0.0.2, 8.0.0.1, 8.0 Enterprise
Software Development Rational ClearCase Installation AIX, HP-UX, Linux, Solaris, Windows 8.0.0.1, 8.0.0.10, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5, 8.0.0.6, 8.0.0.7, 8.0.0.8, 8.0.0.9, 8.0.1, 8.0.1.1, 8.0.1.2, 8.0.1.3

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Rational ClearCase
Installation

Software version:

8.0.0.1, 8.0.0.2, 8.0.0.3, 8.0.0.4, 8.0.0.5, 8.0.0.6, 8.0.0.7, 8.0.0.8, 8.0.0.9, 8.0.0.10, 8.0.1, 8.0.1.1, 8.0.1.2, 8.0.1.3

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

1573966

Modified date:

2012-03-22

Translate my page

Machine Translation

Content navigation